Bug 4273 - globusrun-ws error reports are ugly
: globusrun-ws error reports are ugly
Status: RESOLVED FIXED
: GRAM
wsrf gram clients
: 4.0.1
: Macintosh All
: P3 normal
: 4.0.2
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2006-03-09 14:59 by
Modified: 2006-03-16 12:01 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-03-09 14:59:03
Why are there so many blank lines when globusrun-ws hits a Fault?  This should
get cleaned up.  There 
are 16 blank lines in this error output:

bacon@tg-login2:~> globusrun-ws -F tg-grid1.uc.teragrid.org -Ft PBS -submit -c
/bin/date
Submitting job...Done.
Job ID: uuid:5bc6b610-afae-11da-9a65-0007e9242a58
Termination time: 03/10/2006 20:50 GMT
Current job state: Failed
Destroying job...Done.
globusrun-ws: Job failed: The executable could not be started.




qsub: Invalid Account MSG=no default account available




org.oasis.wsrf.faults.BaseFaultType



java.lang.Exception




org.globus.exec.generated.ExecutionFailedFaultType
------- Comment #1 From 2006-03-16 12:01:26 -------
Committed some code to filter out messages that look suspiciously like java
class names (Description begins with org. org java.). 

Also reduced a bit the amount of \n rendered in the globus_error_multiple
printing routines.

joe